[Unit]
Description=Starts/stops the submit identity manager daemon
After=syslog.target time-sync.target

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/manageIdentities.py
PIDFile=/var/run/submit/submit-identityman.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITIDENTITYMAN
#Environment=MONITORLOGLEVEL=INFO
#Environment=MONITORSYSLOGLOCAL=LOCAL3
#Environment=MONITORSYSLOGIDENTIFIER=SUBMITIDENTITYMAN
#Environment=MONITORPIDFILE=/var/run/submit/submit-identityman.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=INFOSDIRECTORY=/etc/submit
#Environment=INFOSCONFIGURATIONFILE=infos.conf
#Environment=ACTIVITYUPDATEINTERVAL=900

[Install]
WantedBy=multi-user.target

